ClusterManagementResult.StatusCode (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.api, class: ClusterManagementResult, enum: StatusCode

Package org.apache.geode.management.api

# Enum Class ClusterManagementResult.StatusCode

java.lang.Object
java.lang.Enum<ClusterManagementResult.StatusCode>
org.apache.geode.management.api.ClusterManagementResult.StatusCode

All Implemented Interfaces:
  `Serializable`, `Comparable<ClusterManagementResult.StatusCode>`, `Constable`

Enclosing class:
  ClusterManagementResult

public static enum ClusterManagementResult.StatusCode extends Enum<ClusterManagementResult.StatusCode>
these status codes generally have a one-to-one mapping to the http status code returned by the REST controller

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCEPTED`
  async operation launched successfully
  `ENTITY_EXISTS`
  entity you are trying to create already exists
  `ENTITY_NOT_FOUND`
  entity you are trying to modify/delete is not found
  `ERROR`
  operation not successful, this includes precondition is not met (either service is not running or no servers available, or the configuration encountered some error when trying to be realized on one member (configuration is not fully realized on all applicable members).
  `FAIL_TO_PERSIST`
  configuration is realized on members, but encountered some error when persisting the configuration.
  `ILLEGAL_ARGUMENT`
  configuration failed validation
  `IN_PROGRESS`
  async operation has not yet completed
  `OK`
  operation is successful, configuration is realized and persisted
  `UNAUTHENTICATED`
  user is not authenticated
  `UNAUTHORIZED`
  user is not authorized to do this operation

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClusterManagementResult.StatusCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClusterManagementResult.StatusCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OK

    public static final ClusterManagementResult.StatusCode OK
    operation is successful, configuration is realized and persisted

  - ### ILLEGAL_ARGUMENT

    public static final ClusterManagementResult.StatusCode ILLEGAL_ARGUMENT
    configuration failed validation

  - ### UNAUTHENTICATED

    public static final ClusterManagementResult.StatusCode UNAUTHENTICATED
    user is not authenticated

  - ### UNAUTHORIZED

    public static final ClusterManagementResult.StatusCode UNAUTHORIZED
    user is not authorized to do this operation

  - ### ENTITY_EXISTS

    public static final ClusterManagementResult.StatusCode ENTITY_EXISTS
    entity you are trying to create already exists

  - ### ENTITY_NOT_FOUND

    public static final ClusterManagementResult.StatusCode ENTITY_NOT_FOUND
    entity you are trying to modify/delete is not found

  - ### ERROR

    public static final ClusterManagementResult.StatusCode ERROR
    operation not successful, this includes precondition is not met (either service is not running or no servers available, or the configuration encountered some error when trying to be realized on one member (configuration is not fully realized on all applicable members).

  - ### FAIL_TO_PERSIST

    public static final ClusterManagementResult.StatusCode FAIL_TO_PERSIST
    configuration is realized on members, but encountered some error when persisting the configuration. the operation is still deemed unsuccessful.

  - ### ACCEPTED

    public static final ClusterManagementResult.StatusCode ACCEPTED
    async operation launched successfully

  - ### IN_PROGRESS

    public static final ClusterManagementResult.StatusCode IN_PROGRESS
    async operation has not yet completed

- ## Method Details

  - ### values

    public static ClusterManagementResult.StatusCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClusterManagementResult.StatusCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null